shishi_krberror_server_set(3)

NAME
shishi_krberror_server_set - API function

SYNOPSIS
#include <shishi.h>

int shishi_krberror_server_set(Shishi * handle, Shishi_asn1 krberror, const char * server);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 krberror
    Krberror to set server name field in.

const char * server
    zero-terminated string with principal name on RFC 1964 form.

DESCRIPTION
Set the server name field in the Krberror.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.